<template lang="pug">

.about
  h1.main-heading.container О компании

  el-breadcrumb.mb-20.container(separator-class='el-icon-arrow-right')
    el-breadcrumb-item(:to="{ path: '/' }") Главная
    el-breadcrumb-item О компании

  <!--.home__video.about__video.container-fluid-->
    <!--.home__video-wrapper-->
      <!--app-image-item(-->
        <!--source="/img/home/video-poster.jpg"-->
        <!--alt="Коровы на выпасе")-->
      <!--.home__video-text-wrapper-->
        <!--h2.promo-heading.promo-heading_main-content.home__video-heading Шувалово филмс-->
        <!--.button-wrapper.white.no-border-->
          <!--button.nuxt-button-link Смотреть-->
            <!--font-awesome-icon.nuxt-button-link__icon(icon="angle-right")-->

  .about__description.about__block.container
    p.about__description-text АО «Шувалово» это единственное специализированное свиноводческое предприятие в Костромской области.
      |&nbsp;В настоящее время оно является частью вертикально интегрированного агропромышленного холдинга, в состав которого входят предприятия по выращиванию зерна, изготовлению кормов, розничные сети.
    p.about__description-text АО «Шувалово» с 1970 года на рынке и стало одним из самых узнаваемых брендов Костромского мяса, колбас и полуфабрикатов.
    p.about__description-text Ассортимент АО «Шувалово» включает в себя свиные полутуши, более 100 видов колбас, сосисок, сарделек и порядка 50 видов деликатесов и полуфабрикатов.
    p.about__description-text Вся продукция изготавливается только из свежеохлажленного мяса собственного производства. Строгий контроль за качеством выпускаемой продукции осуществляет Государственная ветслужба Костромского района.
    p.about__description-text В 2009-2010 гг. АО «Шувалово» реализовало инвестиционный проект «Шувалово-2» и «Шувалово-3» по строительству современных автоматизированных комплексов по выращиванию товарной свинины.
      |&nbsp;Уникальность проекта состоит в создании высокотехнологичной и высокорентабельной свиноводческой фермы.
    p.about__description-text В сентябре 2011 г. новый «АПК по переработке КРС и свиней» начал свою полноценную работу.
    p.about__description-text В 2012 г. АО «Шувалово» реализовало инвестиционный проект по строительству «Шувалово-4».
     |&nbsp;Это племенной репродуктор с постановкой животных на 25000 голов в Грязовецком районе Вологодской области.
    p.about__description-text В марте 2019 года запущена первая очередь животноводческого комплекса молочного направления на 1194 фуражных голов коров, компании «Шуваловское молоко».
    p.about__description-text Это граница нового значимого этапа в экономике Костромской области.
     |&nbsp;Это огромная работа, - еще один шаг в развитии региона, - итог кропотливого труда большого числа профессионалов своего дела.
    p.about__description-text АО «Шувалово» гордится многочисленными наградами и сертификатами, полученными на международных и российских выставках.
     |&nbsp;Но основным доказательством успеха мы считаем огромное число довольных покупателей, которых с каждым годом становится все больше и больше!

  .home.production-cycle__wrapper
    .promo-cover.production-cycle.container-fluid
      .production-cycle__text-wrapper
        h2.promo-heading.promo-heading_main-content.promo-cover__heading.promo-cover__heading_white Полный
          br
          | цикл производства
        .button-wrapper.white.white-bg
          nuxt-link.nuxt-button-link(to="/about/production") Подробнее
            font-awesome-icon.nuxt-button-link__icon(icon="angle-right")

  .container
    .about__news-block.about__block(v-if="data.news.length")
      .about__heading-header
        h2.about__heading Новости компании
        .button-wrapper
          nuxt-link.nuxt-button-link(to="/news") Все новости
            font-awesome-icon.nuxt-button-link__icon(icon="angle-right")
      .row
        app-news.news__item.col-md-6.col-sm-12.mb-40(
          v-for="item in data.news"
          :cover="item.cover"
          :heading="item.heading"
          :time="item.created_at"
          :slug="item.slug"
          :key="item.id")

    .about__news-block.about__block(v-if="data.products.length")
      .about__heading-header
        h2.about__heading Товары каталога
        .button-wrapper
          nuxt-link.nuxt-button-link(to="/catalog") Все товары
            font-awesome-icon.nuxt-button-link__icon(icon="angle-right")
      .row
        app-products.news__item.col-md-6.col-sm-12.mb-40(
          v-for="product in data.products"
          :key="product.id"
          :cover="product.photo"
          :heading="product.name"
          :slug="product.slug"
          :composition="product.composition")

    .about__vacancies-block.about__block(v-if="data.vacancies.length")
      .about__heading-header
        h2.about__heading Вакансии компании
        .button-wrapper
          nuxt-link.nuxt-button-link(to="/about/vacancies") Все вакансии
            font-awesome-icon.nuxt-button-link__icon(icon="angle-right")
      .row
        .col-md-6.col-sm-12.about__vacancies-col(
          v-for="item in data.vacancies"
          :key="item.id")
          app-vacancies(
            :heading="item.name"
            :city="item.city"
            :time="item.created_at"
            :slug="item.slug"
            :key="item.id")

</template>

<script>
import { mapMutations } from 'vuex';

import AppNews from '../../components/public/NewsItem';
import VacanciesItem from '../../components/public/VacanciesItem';
import ProductItem from '../../components/public/ProductItem';
import ImageItem from '../../components/public/ImageItem';

export default {
  name: 'About',
  head() {
    return {
      title: 'О компании | АО «Шувалово»'
    };
  },
  async asyncData(context) {
    let { data } = await context.$axios.get('/api/v1/about/public');
    return { data: data };
  },
  components: {
    'app-news': AppNews,
    'app-vacancies': VacanciesItem,
    'app-products': ProductItem,
    'app-image-item': ImageItem
  },
  mounted() {
    this.SET_LOADING(false);
  },
  methods: {
    ...mapMutations(['SET_LOADING'])
  }
};
</script>
